body {
    font-family: 'Public Sans', sans-serif;
    font-size: 14px;
    color: #444444;
    background: #fbfbfb;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
#loader {
    width: 100%;
    height: 100%;
    position: fixed;
    display: flex;
    top: 0;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, .1);
    z-index: 9999;
}
.loader {
    width: 50px;
    --b: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #0d6efd;
    -webkit-mask: repeating-conic-gradient(#0000 0deg, #000 1deg 70deg, #0000 71deg 90deg),
    radial-gradient(farthest-side, #0000 calc(100% - var(--b) - 1px), #000 calc(100% - var(--b)));
    -webkit-mask-composite: destination-in;
    mask-composite: intersect;
    animation: l5 1s infinite;
}
@keyframes l5 {
    to {
        transform: rotate(.5turn)
    }
}

a {
    text-decoration: none;
}
ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
hr {
    opacity: .1;
}

.form-control {
    font-size: inherit;
    border-radius: 2px;
    border-color: #dddddd;
}
.form-control:focus {
    box-shadow: none;
    border-color: #dddddd;
}
.form-control.error {
    /*border-color: #ff0000;*/
    color: #ff0000;
}
.form-check-input {
    margin-top: 0.10em;
    margin-right: 5px;
    width: 1rem;
    height: 1rem;
    border-color: #555555;
}
.form-check-input:focus {
    border: 1px solid rgba(0, 0, 0, .25);
    border-color: #555555;
}
.form-check-input:checked {
    background-color: #0d6efd;
    border-color: #0d6efd;
}
.form-check-input:focus {
    box-shadow: none;
}
.form-group {
    margin-bottom: 15px;
}
.form-group > label {
    margin-bottom: 5px;
    font-weight: 700;
}
.box-body .form-group:last-child {
    margin-bottom: 0;
}
.input-group-text {
    font-size: inherit;
}
label.error {
    color: #ff0000;
    font-size: 13px;
    font-weight: normal;
}
label.required:after {
    content: ' *';
    color: #ff0000;
    font-size: 13px;
}
textarea {
    resize: none;
}
.btn {
    font-size: inherit;
    border-radius: 3px;
}
.btn.add:before {
    content: '\F4FE';
    font-family: "bootstrap-icons", sans-serif;
    margin-right: 5px;
}
.btn.back:before {
    content: '\F12F';
    font-family: "bootstrap-icons", sans-serif;
    margin-right: 5px;
}
.btn.add, .btn.back {
    display: flex;
    align-items: center;
}

header {
    background: #F5F5FE;
}
header h1 {
    font-size: 20px;
}
header .header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header .header-logo-intro {
    display: flex;
    align-items: center;
}
header .header-logo-intro img {
    width: 100px;
}

.app-container {
    margin: 30px 0;
}

footer h2 {
    font-size: 22px;
}
footer .social {
    white-space: nowrap;
}
footer .social a {
    background: #ffffff;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 18px;
}
footer .social a + a {
    margin-left: 10px;
}

.guest-container {
    min-height: 500px;
}

.theme__shadow__circle {
    position: fixed;
    left: -250px;
    top: 200px;
    right: auto;
    bottom: auto;
    z-index: -1;
    width: 500px;
    height: 500px;
    border-radius: 1000px;
    background-image: linear-gradient(45deg, #F2277E, #5F2DED);
    opacity: 0.1;
    -webkit-filter: blur(100px);
    filter: blur(100px);
}
.theme__shadow__circle.shadow__right {
    left: auto;
    top: 100px;
    right: -250px;
    bottom: auto;
    opacity: 0.1;
    background-image: linear-gradient(45deg, #5F2DED, #F2277E);
}

.user-banner {
    border-radius: .5rem;
    background: #0d6efd;
    padding: 20px;
    text-align: center;
}
.user-banner img {
    width: 120px;
    border-radius: 10px;
}
.user-banner-intro {
    color: #ffffff;
}
.user-dashboard {
    display: flex;
    gap: 20px;
}
.dashboard-nav, .dashboard-content-wrapper {
    background: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 20px 10px rgba(95, 45, 237, 0.02);
}
.dashboard-nav ul li {
    padding-bottom: 10px;
    padding-top: 10px;
    border-bottom: 1px solid #eeeeee;
}
.dashboard-nav ul li a {
    color: #5F6C76;
    display: block;
}
.dashboard-nav ul li a i {
    margin-right: 5px;
}
.dashboard-nav ul li a.active {
    color: #5F2DED;
}
.dashboard-title {
    font-size: 20px;
    border-bottom: 1px solid #eeeeee;
    padding-bottom: 10px;
}

.inner-page {
    background: #ffffff;
    padding: 15px;
    border-radius: .5rem;
    border: 1px solid #e9e9e9;
}
.inner-page + .inner-page {
    margin-top: 25px;
}

.inner-page-heading {
    color: #0d6efd;
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 15px;
}

.inner-page .inner-page-heading {
    background: #0d6efd;
    color: #ffffff;
    padding: 10px;
    border-radius: .25rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: inherit;
    font-weight: normal;
}
.inner-page .inner-page-heading button {
    color: #ffffff;
    border: 0 none;
    background: none;
    padding: 0;
}
#register_wizard .inner-page-heading {
    text-align: center;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
    padding-bottom: 15px;
}

.heading-3 {
    font-weight: 500;
    background: #b9cbee;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: .2rem;
}
.heading-4 {
    font-weight: 500;
}

.pagination-bar {
    margin-top: 20px;
}
.pagination-bar .justify-content-between {
    justify-content: center !important;
}
.pagination-bar p {
    margin: 0;
}

.page-link {
    font-size: inherit;
}
.page-link:focus {
    box-shadow: none;
}
.dropdown-menu {
    font-size: inherit;
}
table.table {
    margin: 0;
}
.fw-700 {
    font-weight: 700;
}
.fw-500 {
    font-weight: 500;
}

.imageBox {
    position: relative;
    height: 500px;
    width: 100%;
    max-width: 400px;
    border: 1px solid #aaaaaa;
    background: #fff;
    overflow: hidden;
    background-repeat: no-repeat;
    cursor: move;
    margin: 0 auto;
}
.imageBox .thumbBox {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 256px;
    height: 256px;
    margin-top: -128px;
    margin-left: -128px;
    box-sizing: border-box;
    border: 1px solid rgb(102, 102, 102);
    box-shadow: 0 0 0 1000px rgba(0, 0, 0, 0.5);
    background: none repeat scroll 0 0 transparent;
}
.imageBox .spinner {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    text-align: center;
    line-height: 500px;
    background: rgba(0, 0, 0, 0.7);
    color: #ffffff;
}
.imageBox .imageBoxAction {
    position: absolute;
    bottom: 10px;
    text-align: center;
    width: 100%;
}

.iframe-placeholder {
    background: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 100% 100%"><text fill="%23FF0000" x="50%" y="50%" font-family="\'Lucida Grande\', sans-serif" font-size="24" text-anchor="middle">Loading... Please wait</text></svg>') 0 0 no-repeat;
}

.coupon-row {
    background: #e8effa;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu {
    display: none;
    text-align: center;
    background: #f9f9f9;
    padding: 10px;
    font-weight: 500;
    cursor: pointer;
}
.menu-navigation li {
    position: relative;
}
.menu-navigation li.has-menu ul {
    display: none;
    margin: 5px 0 0 25px;
}
.menu-navigation li.has-menu ul li:last-child {
    border-bottom: none;
}
.menu-navigation li.has-menu.open ul {
    display: block;
}
.menu-navigation li.has-menu > a:after {
    content: '\F285';
    font-family: "bootstrap-icons", sans-serif;
    position: absolute;
    right: 0;
}
.menu-navigation li.has-menu.open > a:after {
    content: '\F282';
}
.menu-navigation li.has-menu.open {
    padding-bottom: 0;
}
.menu-navigation li.active, .menu-navigation li.open > a {
    font-weight: 700;
}

.member {
    border: 1px solid #dddddd;
    border-radius: .25rem;
    padding: 20px;
    margin-bottom: 25px;
    display: flex;
    gap: 20px;
}
.member:hover {
    background: #f9f9f9;
}
.member-image {
    width: 150px;
}
.member-info {
    flex: 1;
    position: relative;
}
.member-image img {
    width: 100%;
    max-height: 200px;
    border-radius: .25rem;
}
.member-info .contact {
    position: absolute;
    bottom: 0;
    right: 0;
}

.guidelines ul {
    margin: 10px;
    list-style: disc;
}
.guidelines ul li {
    margin-bottom: 10px;
}

.or-separator {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 20px auto;
    max-width: 200px;
    color: #888;
    font-size: 14px;
}
.or-separator span {
    padding: 0 10px;
    background-color: #fff;
    z-index: 1;
    position: relative;
}
.or-separator::before, .or-separator::after {
    content: "";
    flex-grow: 1;
    height: 1px;
    background-color: #ccc;
}

.search-guide-result > div {
    border: 1px solid #dddddd;
    padding: 5px;
    border-radius: .25rem;
    margin-top: 5px;
}

.search-filters {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}
.search-columns {
    display: flex;
    gap: 15px;
}
.search-columns .form-group {
    margin: 0;
}

.role {
    background: #fff;
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
    border: 2px solid transparent;
}
.role:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}
.role img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 8px;
}
.role a {
    color: #444444;
}

@media screen and (max-width: 1200px) {

}

@media screen and (max-width: 991px) {
    .wizard .steps ul {
        display: inherit !important;
        columns: 2;
    }
    .wizard .steps ul > li {
        margin-bottom: 10px !important;
    }
    .menu {
        display: block;
    }
    .menu-navigation {
        display: none;
    }
    footer .d-flex {
        flex-direction: column;
        padding-bottom: 30px;
    }
    footer .social {
        margin-top: 20px;
    }
}

@media screen and (max-width: 768px) {
    header .header-user-name {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
        max-width: 140px;
    }
    header .header-top .btn-lg {
        padding: 0.375rem 0.75rem;
    }
    header h1 {
        font-size: 20px;
    }
    .guest-container {
        min-height: auto;
    }
}

@media screen and (max-width: 576px) {
    header .header-logo-intro {
    }
    header .header-logo-intro img {
        width: 75px;
    }
    header .header-logo-intro h1 {
        font-size: 15px;
        margin: 10px 0;
    }
    .wizard .steps ul {
        columns: 1;
    }
    .wizard .steps ul > li {
        margin-bottom: 10px !important;
    }
    .member {
        display: block;
    }
    .member-image {
        text-align: center;
        margin: 0 auto 20px;
        max-width: 200px;
    }

}

